#checkout-step-shipping{
    display: flex;
    flex-direction: column;
}
#checkout-step-shipping .field[name="shippingAddress.extension_attributes.company_switch"]{
    order: -1;
    margin-bottom: 28px;
}
.checkout-shipping-address #checkout-step-shipping .form-shipping-address{
    margin-top: 0;
}
#checkout-step-shipping .field[name="shippingAddress.extension_attributes.company_switch"] .label, #shipping-new-address-form .field[name="shippingAddress.extension_attributes.company_switch"] .label{
    display: none;
}
#checkout-step-shipping .field[name="shippingAddress.extension_attributes.company_switch"] .field, #shipping-new-address-form .field[name="shippingAddress.extension_attributes.company_switch"] .field{
   padding: 5px;
}
#checkout-step-shipping .field[name="shippingAddress.extension_attributes.company_switch"] legend, #shipping-new-address-form .field[name="shippingAddress.extension_attributes.company_switch"] legend{
    font-size: 15px;
    margin-bottom: 5px;
}
#checkout-step-shipping .field[name="shippingAddress.extension_attributes.company_switch"] .field .flex label, #shipping-new-address-form .field[name="shippingAddress.extension_attributes.company_switch"] .field .flex label{
  margin-right: 15px;
    padding-left: 20px;
}
#checkout-step-shipping .field[name="shippingAddress.extension_attributes.company_switch"] .field .flex label:before, #checkout-step-shipping .field[name="shippingAddress.extension_attributes.company_switch"] .field .flex label:after, #shipping-new-address-form .field[name="shippingAddress.extension_attributes.company_switch"] .field .flex label:before, #shipping-new-address-form .field[name="shippingAddress.extension_attributes.company_switch"] .field .flex label:after{
    margin: 6px 0 0 0;
}
#shipping-new-address-form .field[name="shippingAddress.extension_attributes.company_switch"] [type=radio] + label:after, #shipping-new-address-form .field[name="shippingAddress.extension_attributes.company_switch"]  [type=radio] + label:before{
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    margin: 3px;
    width: 13px;
    height: 13px;
    z-index: 0;
    transition: .28s ease;
    border-radius: 50%;
}
#shipping-new-address-form [type=radio]:checked + label:before{
    border: 2px solid#CA3136;
}
#shipping-new-address-form .field[name="shippingAddress.extension_attributes.company_switch"] [type=radio] + label:after{
    background-color: #CA3136;
}
#shipping-new-address-form [type=radio]:not(:checked) + label:after, #shipping-new-address-form [type=radio]:not(:checked) + label:before {
    border: 2px solid #5a5a5a;
}
#shipping-new-address-form [type=radio]:not(:checked) + label{
    position: relative;
    padding-left: 35px;
    cursor: pointer;
    display: inline-block;
    height: 25px;
    line-height: 25px;
    /* font-size: 1rem; */
    transition: .28s ease;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
#shipping-new-address-form  [type=radio]:checked, #shipping-new-address-form [type=radio]:not(:checked){
    position: absolute;
    left: -9999px;
    opacity: 0;
}